import request from '@/utils/request'

//获取单个站点的信息
export function getDzjkHomeView(siteId) {
  return request({
    url: `/ems/siteMonitor/homeView?siteId=${siteId}`,
    method: 'get'
  })
}

//获取pcs、实时运行头部的设备信息
export function getRunningHeadInfo(siteId) {
  return request({
    url: `/ems/siteMonitor/runningHeadInfo?siteId=${siteId}`,
    method: 'get'
  })
}
//获取pcs列表
export function getPcsDetailInfo(siteId) {
  return request({
    url: `/ems/siteMonitor/getPcsDetailInfo?siteId=${siteId}`,
    method: 'get'
  })
}

//获取BMS总览数据
export function getBMSOverView(siteId) {
  return request({
    url: `/ems/siteMonitor/getBMSOverView?siteId=${siteId}`,
    method: 'get'
  })
}

//获取BMS电池簇总览数据
export function getBMSBatteryCluster(siteId) {
  return request({
    url: `/ems/siteMonitor/getBMSBatteryCluster?siteId=${siteId}`,
    method: 'get'
  })
}

//获取单体电池 电池堆列表数据
export function getStackNameList(siteId) {
  return request({
    url: `/ems/siteMonitor/getStackNameList?siteId=${siteId}`,
    method: 'get'
  })
}
//获取单体电池 电池簇列表数据
export function getClusterNameList(stackDeviceId) {
  return request({
    url: `/ems/siteMonitor/getClusterNameList?stackDeviceId=${stackDeviceId}`,
    method: 'get'
  })
}
//单体电池表格数据
export function getClusterDataInfoList({siteId, stackDeviceId, clusterDeviceId, pageSize, pageNum}) {
  return request({
    url: `/ems/siteMonitor/getClusterDataInfoList?clusterDeviceId=${clusterDeviceId}&siteId=${siteId}&stackDeviceId=${stackDeviceId}&pageSize=${pageSize}&pageNum=${pageNum}`,
    method: 'get'
  })
}
//获取液冷列表数据
export function getCoolingDataList(siteId) {
  return request({
    url: `/ems/siteMonitor/getCoolingDataList?siteId=${siteId}`,
    method: 'get'
  })
}

//获取电表数据
export function getAmmeterDataList(siteId) {
  return request({
    url: `/ems/siteMonitor/getAmmeterDataList?siteId=${siteId}`,
    method: 'get'
  })
}

// 故障告警
export function getAlarmDetailList({siteId, deviceType, alarmLevel, alarmStartTime, alarmEndTime,pageSize,pageNum}) {
  return request({
    url: `/ems/siteAlarm/getAlarmDetailList?siteId=${siteId}&deviceType=${deviceType}&alarmLevel=${alarmLevel}&alarmStartTime=${alarmStartTime}&alarmEndTime=${alarmEndTime}&pageSize=${pageSize}&pageNum=${pageNum}`,
    method: 'get'
  })
}

// 概率统计
//获取概率统计 电量指标接口
export function getElectricData({siteId,startDate,endDate}) {
  return request({
    url: `/ems/statsReport/getElectricData?siteId=${siteId}&startDate=${startDate}&endDate=${endDate}`,
    method: 'get'
  })
}
